[import file="{{site_header|default(@theme/widgets/header-default.html)}}" container_class="{{site_header_class|default(site-header light)}}"][/import]
<script src="{{DIRURL}}default.js"></script>
<style>video{object-fit:cover;} .player-controls svg{width: 1.8rem;height:auto;} .player-controls path{fill:white}</style>
<article id="post-{{post.id}}" class="{{article_class|default(container-fluid px-0)}}" style="background-color:{{background|default()}}">
	<div class="pos-relative entry-header screen-height h-12 bg-black overflow-hidden">
		<div class="effect-cover-old w-100 h-100">
			<div class="image h-100 w-100">
				[if notempty="{{post.featuredVideo}}"]
				[videoplayer player_id="cover-video-{{post.id}}" autoplay="true" muted="1" src="{{post.featuredVideo}}" loop="{{loop|default(1)}}" controls="false" poster="{{post.posterImage}}"  container_class="w-100  h-100" ratio="fit"][/videoplayer]
				[/if]
			</div>
		</div>
		<div data-link-to="cover-video-{{post.id}}" class="{{cover_mask_class|default(show-when-ended  pos-absolute top-0 w-100 direct-0 h-100 z-10)}}">
			
			<div class="pos-absolute top-0 direct-0 h-100 w-100 z-10" style="background:rgba(0,0,0,.5)"></div>
		</div>
		
		<div class="pos-absolute {{cover_caption_class|default(col-md-6 vcenter offset-md-3 color-white show-when-ended z-10)}}" data-link-to="cover-video-{{post.id}}">
			[terms  ids="{{post.genre}}" container_class="w-100"]
			<a href="{{term.url}}" class="post-genre  {{term.slug}} {{badge_class|default(fw-200 lh-115 fs-30px ff-sans-serif)}}">
				[if notempty="{{term.color}}"]
				<span  class="post-genre-decoration" style="background-color:{{term.color}};"></span>
				[/if]
				<span class="genre-name">{{term.name}}</span>
			</a>
			[/terms]
			
			<h1 class="{{title_class|default(mb-3 style-title-1)}}">{{post.title}}</h1>
			<div class="style-description post-desc text-justify">
				{{post.excerpt}}
			</div>
			<div class="{{cover_caption_footer_class|default(style-meta mt-2)}}">
				[tr]written by[/tr] 
				[users ids="{{post.authors}}" container_class="phrasal-list" ]
				<a id="user-{{user.ID}}" href="{{user.url}}" title="{{user.name}}">{{user.name|_}}</a>
				[/users]

				| {{post.date|format(d)}} 
				[tr]month-{{post.date|format(m)}}[/tr]
				{{post.date|format(Y)}} | {{post.reading-duration|unit(minute)}}   
				[if notempty="{{post.translationsLink}}"]
				| 
				<span style="white-space:pre">[tr ar="متوفر باللغة" fr="Disponible en " en="Available in "]disponible en[/tr]{{post.translationsLink}}</span>
				[/if]
			</div>
			{{card_caption_footer}}
			
		</div>
		<div class="player-controls pos-absolute z-100 bottom-0 d-flex opposite-0 lh-100  color-white p-2 px-3">
			<a class="{{button_skip_class|default(m-2)}}"  role="skip-replay" data-link-to="cover-video-{{post.ID}}">
				[import file="{{TPLDIR}}/assets/img/icons/skip-control.svg"/]
			</a>
			<a data-link-to="cover-video-{{post.id}}" class="{{button_mute_class|default(m-2 muted)}}" role="toggle-mute">
				[import file="{{TPLDIR}}/assets/img/icons/mute-control.svg"/]
			</a>
		</span>
	</div>
</div>
[if notempty="{{post.featuredImageCaption}}"]
<figcaption class="mb-5 col-12">{{post.featuredImageCaption}}</figcaption> 
[/if]
[Editable id="" container_class="entry-content {{content_class|default(layout-default fs-20px fw-300 w-100)}}"  field="post.{{post.id}}.content"  presets="default"]{{post.content}}[/Editable]

<div class="py-4 share-container">
	<div class="col-md-4 offset-md-4 text-center fs-20px my-5">
		[share url="{{post.url}}"]{{post.title}}[/share]
	</div>
</div>
<div class="w-100 overflow-x-hidden">{{post.wpcf-footer}}</div>

<div class="{{subfooter_class|default(row mx-0 px-5 footer-content justify-content-center)}}">
	<div class="col-md-4">
		<h4 class="uppercase fw-300 py-2 border-bottom-dotted-dark">[tr]Note[/tr]</h4>
		<p class="fs-16px fw-300 lh-125">{{post.wpcf-author-note}}</p>
	</div>
	<div class="col-md-4">
		<h4 class="uppercase fw-300 py-2 border-bottom-dotted-dark">[tr]Par[/tr]</h4>
		[users ids="{{post.authors}}"]
		<div id="user-{{user.ID}}" class="row my-3">
			[image container_class="author-avatar col-3 text-center" id="{{user.photo}}" image_class="rounded-circle d-block square" background="1"] [/image]
			<div class="author-infos col-9">
				<h4 class="fs-24px"><a href="{{user.url}}">{{user.name}}</a></h4>
				<p class="fs-16px fw-300 lh-115">{{user.description}}</p>
				<ul class="list-unstyled pl-0 fs-14px fw-300 h6 lh-125">
					<li><span class="icon-twitter-2 mr-2"></span>{{user.twitter}}</li>
					<li><span class="icon-mail-2 mr-2"></span>{{user.email}}</li>
				</ul>
			</div>
		</div>
		[/users]
	</div>
	<div class="col-md-4 contributors">
		<h4 class="uppercase fw-300 py-2 border-bottom-dotted-dark">[tr]Avec la collaboration[/tr]</h4>
		[users ids="{{post.contributors}}"]
		<div class="row my-3" id="user-{{user.ID}}">
			[image container_class="author-avatar col-2 text-center" id="{{user.photo}}" image_class="rounded-circle d-block square" background="1" link="{{user.url}}"][/image]


			<div class="col-10 align-self-center">
				<h5 class="fs-18px mb-0">{{user.name}}</h5>
				<span class="capitalize gray-light fw-300">
					[contribution user="{{user.id}}" post="{{post.ID}}"][/contribution]

				</span></h5>
			</div>
		</div>
		[/users]
	</div>
</div>
<div class="hidden">
	{{post.wpcf-scripts}}
	{{post.wpcf-styles}}
</div>
</article>
[relatedPosts ids="{{post.next-post}}" container_class="next-post-holder" view="@theme/widgets/next-post"][/relatedPosts]
[import file="{{site_footer|default(@theme/widgets/footer-default.html)}}" color="{{footer-color}}" container_class="site-footer bg-gray-blue"][/import]
